Bug 1017774 - Order in which patches are applied
Order in which patches are applied
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dwm (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 09:33 EDT by Michal Haško
Modified: 2015-03-01 23:01 EST (History)
2 users (show)

See Also:
Fixed In Version: dwm-6.0-7.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-28 02:45:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Haško 2013-10-10 09:33:04 EDT
Description of problem:
dwm-start applies patches in no particular (wrong) order, which causes patching to fail.

Version-Release number of selected component (if applicable):
dwm-user-6.0-5.fc19.x86_64

/usr/bin/dwm-start:64:
find ${patches} -type f -name '*.diff' -printf "patch -p1 < %p\n" | sh

find doesn't sort the patches. They need to be sorted before applying
Comment 1 Fedora Update System 2013-10-11 02:08:10 EDT
dwm-6.0-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dwm-6.0-7.fc20
Comment 2 Fedora Update System 2013-10-11 02:08:27 EDT
dwm-6.0-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dwm-6.0-7.fc19
Comment 3 Fedora Update System 2013-10-11 02:08:46 EDT
dwm-6.0-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dwm-6.0-7.fc18
Comment 4 Fedora Update System 2013-10-22 00:58:00 EDT
dwm-6.0-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-10-22 00:59:11 EDT
dwm-6.0-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-11-10 01:27:31 EST
dwm-6.0-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.